PR target/65871
[official-gcc.git] / libitm / Makefile.in
blob6c4d2537f5771302fdec498757fe0abc9b648732
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
16 @SET_MAKE@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkglibexecdir = $(libexecdir)/@PACKAGE@
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 build_triplet = @build@
37 host_triplet = @host@
38 target_triplet = @target@
39 @ARCH_ARM_TRUE@am__append_1 = hwcap.cc
40 @ARCH_X86_TRUE@am__append_2 = x86_sse.cc x86_avx.cc
41 @ARCH_FUTEX_TRUE@am__append_3 = futex.cc
42 subdir = .
43 DIST_COMMON = ChangeLog $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
44 $(top_srcdir)/configure $(am__configure_deps) \
45 $(srcdir)/config.h.in $(srcdir)/../mkinstalldirs \
46 $(srcdir)/libitm.spec.in $(srcdir)/../depcomp
47 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
48 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
49 $(top_srcdir)/../config/asmcfi.m4 \
50 $(top_srcdir)/../config/depstand.m4 \
51 $(top_srcdir)/../config/enable.m4 \
52 $(top_srcdir)/../config/futex.m4 \
53 $(top_srcdir)/../config/lead-dot.m4 \
54 $(top_srcdir)/../config/mmap.m4 \
55 $(top_srcdir)/../config/multi.m4 \
56 $(top_srcdir)/../config/override.m4 \
57 $(top_srcdir)/../config/stdint.m4 \
58 $(top_srcdir)/../config/tls.m4 \
59 $(top_srcdir)/../config/weakref.m4 \
60 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
61 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
62 $(top_srcdir)/acinclude.m4 $(top_srcdir)/../libtool.m4 \
63 $(top_srcdir)/configure.ac
64 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
65 $(ACLOCAL_M4)
66 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
67 configure.lineno config.status.lineno
68 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
69 CONFIG_HEADER = config.h
70 CONFIG_CLEAN_FILES = libitm.spec
71 CONFIG_CLEAN_VPATH_FILES =
72 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
73 am__vpath_adj = case $$p in \
74 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
75 *) f=$$p;; \
76 esac;
77 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
78 am__install_max = 40
79 am__nobase_strip_setup = \
80 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
81 am__nobase_strip = \
82 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
83 am__nobase_list = $(am__nobase_strip_setup); \
84 for p in $$list; do echo "$$p $$p"; done | \
85 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
86 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
87 if (++n[$$2] == $(am__install_max)) \
88 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
89 END { for (dir in files) print dir, files[dir] }'
90 am__base_list = \
91 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
92 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
93 am__installdirs = "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" \
94 "$(DESTDIR)$(toolexeclibdir)"
95 LTLIBRARIES = $(toolexeclib_LTLIBRARIES)
96 libitm_la_LIBADD =
97 @ARCH_ARM_TRUE@am__objects_1 = hwcap.lo
98 @ARCH_X86_TRUE@am__objects_2 = x86_sse.lo x86_avx.lo
99 @ARCH_FUTEX_TRUE@am__objects_3 = futex.lo
100 am_libitm_la_OBJECTS = aatree.lo alloc.lo alloc_c.lo alloc_cpp.lo \
101 barrier.lo beginend.lo clone.lo eh_cpp.lo local.lo query.lo \
102 retry.lo rwlock.lo useraction.lo util.lo sjlj.lo tls.lo \
103 method-serial.lo method-gl.lo method-ml.lo $(am__objects_1) \
104 $(am__objects_2) $(am__objects_3)
105 libitm_la_OBJECTS = $(am_libitm_la_OBJECTS)
106 DEFAULT_INCLUDES = -I.@am__isrc@
107 depcomp = $(SHELL) $(top_srcdir)/../depcomp
108 am__depfiles_maybe = depfiles
109 am__mv = mv -f
110 CPPASCOMPILE = $(CCAS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
111 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CCASFLAGS) $(CCASFLAGS)
112 LTCPPASCOMPILE = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
113 --mode=compile $(CCAS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
114 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CCASFLAGS) $(CCASFLAGS)
115 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
116 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
117 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
118 --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
119 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
120 CXXLD = $(CXX)
121 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
122 --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
123 $(LDFLAGS) -o $@
124 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
125 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
126 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
127 --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
128 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
129 CCLD = $(CC)
130 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
131 --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
132 $(LDFLAGS) -o $@
133 SOURCES = $(libitm_la_SOURCES)
134 MULTISRCTOP =
135 MULTIBUILDTOP =
136 MULTIDIRS =
137 MULTISUBDIR =
138 MULTIDO = true
139 MULTICLEAN = true
140 INFO_DEPS = libitm.info
141 am__TEXINFO_TEX_DIR = $(srcdir)/../gcc/doc/include
142 DVIS = libitm.dvi
143 PDFS = libitm.pdf
144 PSS = libitm.ps
145 HTMLS = libitm.html
146 TEXINFOS = libitm.texi
147 TEXI2DVI = texi2dvi
148 TEXI2PDF = $(TEXI2DVI) --pdf --batch
149 MAKEINFOHTML = $(MAKEINFO) --html
150 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
151 DVIPS = dvips
152 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
153 html-recursive info-recursive install-data-recursive \
154 install-dvi-recursive install-exec-recursive \
155 install-html-recursive install-info-recursive \
156 install-pdf-recursive install-ps-recursive install-recursive \
157 installcheck-recursive installdirs-recursive pdf-recursive \
158 ps-recursive uninstall-recursive
159 HEADERS = $(nodist_toolexeclib_HEADERS)
160 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
161 distclean-recursive maintainer-clean-recursive
162 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
163 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS
164 ETAGS = etags
165 CTAGS = ctags
166 DIST_SUBDIRS = $(SUBDIRS)
167 ACLOCAL = @ACLOCAL@
168 AMTAR = @AMTAR@
169 AR = @AR@
170 AUTOCONF = @AUTOCONF@
171 AUTOHEADER = @AUTOHEADER@
172 AUTOMAKE = @AUTOMAKE@
173 AWK = @AWK@
174 CC = @CC@
175 CCAS = @CCAS@
176 CCASDEPMODE = @CCASDEPMODE@
177 CCASFLAGS = @CCASFLAGS@
178 CCDEPMODE = @CCDEPMODE@
179 CFLAGS = @CFLAGS@
180 CPP = @CPP@
181 CPPFLAGS = @CPPFLAGS@
182 CXX = @CXX@
183 CXXCPP = @CXXCPP@
184 CXXDEPMODE = @CXXDEPMODE@
185 CXXFLAGS = @CXXFLAGS@
186 CYGPATH_W = @CYGPATH_W@
187 DEFS = @DEFS@
188 DEPDIR = @DEPDIR@
189 DSYMUTIL = @DSYMUTIL@
190 DUMPBIN = @DUMPBIN@
191 ECHO_C = @ECHO_C@
192 ECHO_N = @ECHO_N@
193 ECHO_T = @ECHO_T@
194 EGREP = @EGREP@
195 EXEEXT = @EXEEXT@
196 FGREP = @FGREP@
197 GREP = @GREP@
198 HWCAP_LDFLAGS = @HWCAP_LDFLAGS@
199 INSTALL = @INSTALL@
200 INSTALL_DATA = @INSTALL_DATA@
201 INSTALL_PROGRAM = @INSTALL_PROGRAM@
202 INSTALL_SCRIPT = @INSTALL_SCRIPT@
203 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
204 LD = @LD@
205 LDFLAGS = @LDFLAGS@
206 LIBOBJS = @LIBOBJS@
207 LIBS = @LIBS@
208 LIBTOOL = @LIBTOOL@
209 LIPO = @LIPO@
210 LN_S = @LN_S@
211 LTLIBOBJS = @LTLIBOBJS@
212 MAINT = @MAINT@
213 MAKEINFO = @MAKEINFO@
214 MKDIR_P = @MKDIR_P@
215 NM = @NM@
216 NMEDIT = @NMEDIT@
217 OBJDUMP = @OBJDUMP@
218 OBJEXT = @OBJEXT@
219 OPT_LDFLAGS = @OPT_LDFLAGS@
220 OTOOL = @OTOOL@
221 OTOOL64 = @OTOOL64@
222 PACKAGE = @PACKAGE@
223 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
224 PACKAGE_NAME = @PACKAGE_NAME@
225 PACKAGE_STRING = @PACKAGE_STRING@
226 PACKAGE_TARNAME = @PACKAGE_TARNAME@
227 PACKAGE_URL = @PACKAGE_URL@
228 PACKAGE_VERSION = @PACKAGE_VERSION@
229 PATH_SEPARATOR = @PATH_SEPARATOR@
230 PERL = @PERL@
231 RANLIB = @RANLIB@
232 SECTION_LDFLAGS = @SECTION_LDFLAGS@
233 SED = @SED@
234 SET_MAKE = @SET_MAKE@
235 SHELL = @SHELL@
236 STRIP = @STRIP@
237 VERSION = @VERSION@
238 XCFLAGS = @XCFLAGS@
239 XLDFLAGS = @XLDFLAGS@
240 abs_builddir = @abs_builddir@
241 abs_srcdir = @abs_srcdir@
242 abs_top_builddir = @abs_top_builddir@
243 abs_top_srcdir = @abs_top_srcdir@
244 ac_ct_CC = @ac_ct_CC@
245 ac_ct_CXX = @ac_ct_CXX@
246 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
247 am__include = @am__include@
248 am__leading_dot = @am__leading_dot@
249 am__quote = @am__quote@
250 am__tar = @am__tar@
251 am__untar = @am__untar@
252 bindir = @bindir@
253 build = @build@
254 build_alias = @build_alias@
255 build_cpu = @build_cpu@
256 build_os = @build_os@
257 build_vendor = @build_vendor@
258 builddir = @builddir@
259 config_path = @config_path@
260 datadir = @datadir@
261 datarootdir = @datarootdir@
262 docdir = @docdir@
263 dvidir = @dvidir@
264 enable_shared = @enable_shared@
265 enable_static = @enable_static@
266 exec_prefix = @exec_prefix@
267 host = @host@
268 host_alias = @host_alias@
269 host_cpu = @host_cpu@
270 host_os = @host_os@
271 host_vendor = @host_vendor@
272 htmldir = @htmldir@
273 includedir = @includedir@
274 infodir = @infodir@
275 install_sh = @install_sh@
276 libdir = @libdir@
277 libexecdir = @libexecdir@
278 libtool_VERSION = @libtool_VERSION@
279 link_itm = @link_itm@
280 localedir = @localedir@
281 localstatedir = @localstatedir@
282 mandir = @mandir@
283 mkdir_p = @mkdir_p@
284 multi_basedir = @multi_basedir@
285 oldincludedir = @oldincludedir@
286 pdfdir = @pdfdir@
287 prefix = @prefix@
288 program_transform_name = @program_transform_name@
289 psdir = @psdir@
290 sbindir = @sbindir@
291 sharedstatedir = @sharedstatedir@
292 srcdir = @srcdir@
293 sysconfdir = @sysconfdir@
294 target = @target@
295 target_alias = @target_alias@
296 target_cpu = @target_cpu@
297 target_os = @target_os@
298 target_vendor = @target_vendor@
299 toolexecdir = @toolexecdir@
300 toolexeclibdir = @toolexeclibdir@
301 top_build_prefix = @top_build_prefix@
302 top_builddir = @top_builddir@
303 top_srcdir = @top_srcdir@
304 ACLOCAL_AMFLAGS = -I .. -I ../config
305 SUBDIRS = testsuite
306 gcc_version := $(shell cat $(top_srcdir)/../gcc/BASE-VER)
307 abi_version = -fabi-version=4
308 search_path = $(addprefix $(top_srcdir)/config/, $(config_path)) $(top_srcdir)
309 fincludedir = $(libdir)/gcc/$(target_alias)/$(gcc_version)/finclude
310 libsubincludedir = $(libdir)/gcc/$(target_alias)/$(gcc_version)/include
311 AM_CPPFLAGS = $(addprefix -I, $(search_path))
312 AM_CFLAGS = $(XCFLAGS)
313 AM_CXXFLAGS = $(XCFLAGS) -std=gnu++0x -funwind-tables -fno-exceptions \
314 -fno-rtti $(abi_version)
316 AM_CCASFLAGS = $(XCFLAGS)
317 AM_LDFLAGS = $(XLDFLAGS) $(SECTION_LDFLAGS) $(OPT_LDFLAGS) $(HWCAP_LDFLAGS)
318 toolexeclib_LTLIBRARIES = libitm.la
319 nodist_toolexeclib_HEADERS = libitm.spec
320 @LIBITM_BUILD_VERSIONED_SHLIB_FALSE@libitm_version_script =
321 @LIBITM_BUILD_VERSIONED_SHLIB_GNU_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_script = -Wl,--version-script,$(top_srcdir)/libitm.map
322 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_script = -Wl,-M,libitm.map-sun
323 @LIBITM_BUILD_VERSIONED_SHLIB_FALSE@libitm_version_dep =
324 @LIBITM_BUILD_VERSIONED_SHLIB_GNU_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_dep = $(top_srcdir)/libitm.map
325 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_dep = libitm.map-sun
326 libitm_version_info = -version-info $(libtool_VERSION)
328 # Force link with C, not C++. For now, while we're using C++ we don't
329 # want or need libstdc++.
330 libitm_la_DEPENDENCIES = $(libitm_version_dep)
331 libitm_la_LINK = $(LINK) $(libitm_la_LDFLAGS)
332 libitm_la_LDFLAGS = $(libitm_version_info) $(libitm_version_script)
333 libitm_la_SOURCES = aatree.cc alloc.cc alloc_c.cc alloc_cpp.cc \
334 barrier.cc beginend.cc clone.cc eh_cpp.cc local.cc query.cc \
335 retry.cc rwlock.cc useraction.cc util.cc sjlj.S tls.cc \
336 method-serial.cc method-gl.cc method-ml.cc $(am__append_1) \
337 $(am__append_2) $(am__append_3)
339 # Automake Documentation:
340 # If your package has Texinfo files in many directories, you can use the
341 # variable TEXINFO_TEX to tell Automake where to find the canonical
342 # `texinfo.tex' for your package. The value of this variable should be
343 # the relative path from the current `Makefile.am' to `texinfo.tex'.
344 TEXINFO_TEX = ../gcc/doc/include/texinfo.tex
346 # Defines info, dvi, pdf and html targets
347 MAKEINFOFLAGS = -I $(srcdir)/../gcc/doc/include
348 info_TEXINFOS = libitm.texi
349 @GENINSRC_FALSE@STAMP_GENINSRC =
351 # AM_CONDITIONAL on configure option --generated-files-in-srcdir
352 @GENINSRC_TRUE@STAMP_GENINSRC = stamp-geninsrc
353 @BUILD_INFO_FALSE@STAMP_BUILD_INFO =
355 # AM_CONDITIONAL on configure check ACX_CHECK_PROG_VER([MAKEINFO])
356 @BUILD_INFO_TRUE@STAMP_BUILD_INFO = stamp-build-info
357 CLEANFILES = $(STAMP_GENINSRC) $(STAMP_BUILD_INFO) libitm.info
358 MAINTAINERCLEANFILES = $(srcdir)/libitm.info
359 all: config.h
360 $(MAKE) $(AM_MAKEFLAGS) all-recursive
362 .SUFFIXES:
363 .SUFFIXES: .S .cc .dvi .lo .o .obj .ps
364 am--refresh:
366 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
367 @for dep in $?; do \
368 case '$(am__configure_deps)' in \
369 *$$dep*) \
370 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
371 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
372 && exit 0; \
373 exit 1;; \
374 esac; \
375 done; \
376 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
377 $(am__cd) $(top_srcdir) && \
378 $(AUTOMAKE) --foreign Makefile
379 .PRECIOUS: Makefile
380 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
381 @case '$?' in \
382 *config.status*) \
383 echo ' $(SHELL) ./config.status'; \
384 $(SHELL) ./config.status;; \
385 *) \
386 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
387 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
388 esac;
390 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
391 $(SHELL) ./config.status --recheck
393 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
394 $(am__cd) $(srcdir) && $(AUTOCONF)
395 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
396 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
397 $(am__aclocal_m4_deps):
399 config.h: stamp-h1
400 @if test ! -f $@; then \
401 rm -f stamp-h1; \
402 $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
403 else :; fi
405 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
406 @rm -f stamp-h1
407 cd $(top_builddir) && $(SHELL) ./config.status config.h
408 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
409 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
410 rm -f stamp-h1
411 touch $@
413 distclean-hdr:
414 -rm -f config.h stamp-h1
415 libitm.spec: $(top_builddir)/config.status $(srcdir)/libitm.spec.in
416 cd $(top_builddir) && $(SHELL) ./config.status $@
417 install-toolexeclibLTLIBRARIES: $(toolexeclib_LTLIBRARIES)
418 @$(NORMAL_INSTALL)
419 test -z "$(toolexeclibdir)" || $(MKDIR_P) "$(DESTDIR)$(toolexeclibdir)"
420 @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
421 list2=; for p in $$list; do \
422 if test -f $$p; then \
423 list2="$$list2 $$p"; \
424 else :; fi; \
425 done; \
426 test -z "$$list2" || { \
427 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(toolexeclibdir)'"; \
428 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(toolexeclibdir)"; \
431 uninstall-toolexeclibLTLIBRARIES:
432 @$(NORMAL_UNINSTALL)
433 @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
434 for p in $$list; do \
435 $(am__strip_dir) \
436 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(toolexeclibdir)/$$f'"; \
437 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(toolexeclibdir)/$$f"; \
438 done
440 clean-toolexeclibLTLIBRARIES:
441 -test -z "$(toolexeclib_LTLIBRARIES)" || rm -f $(toolexeclib_LTLIBRARIES)
442 @list='$(toolexeclib_LTLIBRARIES)'; for p in $$list; do \
443 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
444 test "$$dir" != "$$p" || dir=.; \
445 echo "rm -f \"$${dir}/so_locations\""; \
446 rm -f "$${dir}/so_locations"; \
447 done
448 libitm.la: $(libitm_la_OBJECTS) $(libitm_la_DEPENDENCIES)
449 $(libitm_la_LINK) -rpath $(toolexeclibdir) $(libitm_la_OBJECTS) $(libitm_la_LIBADD) $(LIBS)
451 mostlyclean-compile:
452 -rm -f *.$(OBJEXT)
454 distclean-compile:
455 -rm -f *.tab.c
457 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aatree.Plo@am__quote@
458 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc.Plo@am__quote@
459 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_c.Plo@am__quote@
460 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_cpp.Plo@am__quote@
461 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/barrier.Plo@am__quote@
462 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/beginend.Plo@am__quote@
463 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/clone.Plo@am__quote@
464 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/eh_cpp.Plo@am__quote@
465 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/futex.Plo@am__quote@
466 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwcap.Plo@am__quote@
467 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/local.Plo@am__quote@
468 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-gl.Plo@am__quote@
469 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-ml.Plo@am__quote@
470 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-serial.Plo@am__quote@
471 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/query.Plo@am__quote@
472 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/retry.Plo@am__quote@
473 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rwlock.Plo@am__quote@
474 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sjlj.Plo@am__quote@
475 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tls.Plo@am__quote@
476 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/useraction.Plo@am__quote@
477 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Plo@am__quote@
478 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/x86_avx.Plo@am__quote@
479 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/x86_sse.Plo@am__quote@
481 .S.o:
482 @am__fastdepCCAS_TRUE@ $(CPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
483 @am__fastdepCCAS_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
484 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
485 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
486 @am__fastdepCCAS_FALSE@ $(CPPASCOMPILE) -c -o $@ $<
488 .S.obj:
489 @am__fastdepCCAS_TRUE@ $(CPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
490 @am__fastdepCCAS_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
491 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
492 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
493 @am__fastdepCCAS_FALSE@ $(CPPASCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
495 .S.lo:
496 @am__fastdepCCAS_TRUE@ $(LTCPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
497 @am__fastdepCCAS_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
498 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
499 @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
500 @am__fastdepCCAS_FALSE@ $(LTCPPASCOMPILE) -c -o $@ $<
502 .cc.o:
503 @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
504 @am__fastdepCXX_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
505 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
506 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
507 @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ $<
509 .cc.obj:
510 @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
511 @am__fastdepCXX_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
512 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
513 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
514 @am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
516 .cc.lo:
517 @am__fastdepCXX_TRUE@ $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
518 @am__fastdepCXX_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
519 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
520 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
521 @am__fastdepCXX_FALSE@ $(LTCXXCOMPILE) -c -o $@ $<
523 mostlyclean-libtool:
524 -rm -f *.lo
526 clean-libtool:
527 -rm -rf .libs _libs
529 distclean-libtool:
530 -rm -f libtool config.lt
532 # GNU Make needs to see an explicit $(MAKE) variable in the command it
533 # runs to enable its job server during parallel builds. Hence the
534 # comments below.
535 all-multi:
536 $(MULTIDO) $(AM_MAKEFLAGS) DO=all multi-do # $(MAKE)
537 install-multi:
538 $(MULTIDO) $(AM_MAKEFLAGS) DO=install multi-do # $(MAKE)
540 mostlyclean-multi:
541 $(MULTICLEAN) $(AM_MAKEFLAGS) DO=mostlyclean multi-clean # $(MAKE)
542 clean-multi:
543 $(MULTICLEAN) $(AM_MAKEFLAGS) DO=clean multi-clean # $(MAKE)
544 distclean-multi:
545 $(MULTICLEAN) $(AM_MAKEFLAGS) DO=distclean multi-clean # $(MAKE)
546 maintainer-clean-multi:
547 $(MULTICLEAN) $(AM_MAKEFLAGS) DO=maintainer-clean multi-clean # $(MAKE)
549 libitm.dvi: libitm.texi
550 TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
551 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
552 $(TEXI2DVI) -o $@ `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi
554 libitm.pdf: libitm.texi
555 TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
556 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
557 $(TEXI2PDF) -o $@ `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi
559 libitm.html: libitm.texi
560 rm -rf $(@:.html=.htp)
561 if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
562 -o $(@:.html=.htp) `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi; \
563 then \
564 rm -rf $@; \
565 if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
566 mv $(@:.html=) $@; else mv $(@:.html=.htp) $@; fi; \
567 else \
568 if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
569 rm -rf $(@:.html=); else rm -Rf $(@:.html=.htp) $@; fi; \
570 exit 1; \
572 .dvi.ps:
573 TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
574 $(DVIPS) -o $@ $<
576 uninstall-dvi-am:
577 @$(NORMAL_UNINSTALL)
578 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
579 for p in $$list; do \
580 $(am__strip_dir) \
581 echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
582 rm -f "$(DESTDIR)$(dvidir)/$$f"; \
583 done
585 uninstall-html-am:
586 @$(NORMAL_UNINSTALL)
587 @list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
588 for p in $$list; do \
589 $(am__strip_dir) \
590 echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
591 rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
592 done
594 uninstall-info-am:
595 @$(PRE_UNINSTALL)
596 @if test -d '$(DESTDIR)$(infodir)' && \
597 (install-info --version && \
598 install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
599 list='$(INFO_DEPS)'; \
600 for file in $$list; do \
601 relfile=`echo "$$file" | sed 's|^.*/||'`; \
602 echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
603 if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
604 then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
605 done; \
606 else :; fi
607 @$(NORMAL_UNINSTALL)
608 @list='$(INFO_DEPS)'; \
609 for file in $$list; do \
610 relfile=`echo "$$file" | sed 's|^.*/||'`; \
611 relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
612 (if test -d "$(DESTDIR)$(infodir)" && cd "$(DESTDIR)$(infodir)"; then \
613 echo " cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
614 rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
615 else :; fi); \
616 done
618 uninstall-pdf-am:
619 @$(NORMAL_UNINSTALL)
620 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
621 for p in $$list; do \
622 $(am__strip_dir) \
623 echo " rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
624 rm -f "$(DESTDIR)$(pdfdir)/$$f"; \
625 done
627 uninstall-ps-am:
628 @$(NORMAL_UNINSTALL)
629 @list='$(PSS)'; test -n "$(psdir)" || list=; \
630 for p in $$list; do \
631 $(am__strip_dir) \
632 echo " rm -f '$(DESTDIR)$(psdir)/$$f'"; \
633 rm -f "$(DESTDIR)$(psdir)/$$f"; \
634 done
636 dist-info: $(INFO_DEPS)
637 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
638 list='$(INFO_DEPS)'; \
639 for base in $$list; do \
640 case $$base in \
641 $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
642 esac; \
643 if test -f $$base; then d=.; else d=$(srcdir); fi; \
644 base_i=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
645 for file in $$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
646 if test -f $$file; then \
647 relfile=`expr "$$file" : "$$d/\(.*\)"`; \
648 test -f "$(distdir)/$$relfile" || \
649 cp -p $$file "$(distdir)/$$relfile"; \
650 else :; fi; \
651 done; \
652 done
654 mostlyclean-aminfo:
655 -rm -rf libitm.aux libitm.cp libitm.cps libitm.fn libitm.fns libitm.ky \
656 libitm.kys libitm.log libitm.pg libitm.pgs libitm.tmp \
657 libitm.toc libitm.tp libitm.tps libitm.vr libitm.vrs
659 clean-aminfo:
660 -test -z "libitm.dvi libitm.pdf libitm.ps libitm.html" \
661 || rm -rf libitm.dvi libitm.pdf libitm.ps libitm.html
663 maintainer-clean-aminfo:
664 @list='$(INFO_DEPS)'; for i in $$list; do \
665 i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
666 echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
667 rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
668 done
669 install-nodist_toolexeclibHEADERS: $(nodist_toolexeclib_HEADERS)
670 @$(NORMAL_INSTALL)
671 test -z "$(toolexeclibdir)" || $(MKDIR_P) "$(DESTDIR)$(toolexeclibdir)"
672 @list='$(nodist_toolexeclib_HEADERS)'; test -n "$(toolexeclibdir)" || list=; \
673 for p in $$list; do \
674 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
675 echo "$$d$$p"; \
676 done | $(am__base_list) | \
677 while read files; do \
678 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(toolexeclibdir)'"; \
679 $(INSTALL_HEADER) $$files "$(DESTDIR)$(toolexeclibdir)" || exit $$?; \
680 done
682 uninstall-nodist_toolexeclibHEADERS:
683 @$(NORMAL_UNINSTALL)
684 @list='$(nodist_toolexeclib_HEADERS)'; test -n "$(toolexeclibdir)" || list=; \
685 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
686 test -n "$$files" || exit 0; \
687 echo " ( cd '$(DESTDIR)$(toolexeclibdir)' && rm -f" $$files ")"; \
688 cd "$(DESTDIR)$(toolexeclibdir)" && rm -f $$files
690 # This directory's subdirectories are mostly independent; you can cd
691 # into them and run `make' without going through this Makefile.
692 # To change the values of `make' variables: instead of editing Makefiles,
693 # (1) if the variable is set in `config.status', edit `config.status'
694 # (which will cause the Makefiles to be regenerated when you run `make');
695 # (2) otherwise, pass the desired values on the `make' command line.
696 $(RECURSIVE_TARGETS):
697 @fail= failcom='exit 1'; \
698 for f in x $$MAKEFLAGS; do \
699 case $$f in \
700 *=* | --[!k]*);; \
701 *k*) failcom='fail=yes';; \
702 esac; \
703 done; \
704 dot_seen=no; \
705 target=`echo $@ | sed s/-recursive//`; \
706 list='$(SUBDIRS)'; for subdir in $$list; do \
707 echo "Making $$target in $$subdir"; \
708 if test "$$subdir" = "."; then \
709 dot_seen=yes; \
710 local_target="$$target-am"; \
711 else \
712 local_target="$$target"; \
713 fi; \
714 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
715 || eval $$failcom; \
716 done; \
717 if test "$$dot_seen" = "no"; then \
718 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
719 fi; test -z "$$fail"
721 $(RECURSIVE_CLEAN_TARGETS):
722 @fail= failcom='exit 1'; \
723 for f in x $$MAKEFLAGS; do \
724 case $$f in \
725 *=* | --[!k]*);; \
726 *k*) failcom='fail=yes';; \
727 esac; \
728 done; \
729 dot_seen=no; \
730 case "$@" in \
731 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
732 *) list='$(SUBDIRS)' ;; \
733 esac; \
734 rev=''; for subdir in $$list; do \
735 if test "$$subdir" = "."; then :; else \
736 rev="$$subdir $$rev"; \
737 fi; \
738 done; \
739 rev="$$rev ."; \
740 target=`echo $@ | sed s/-recursive//`; \
741 for subdir in $$rev; do \
742 echo "Making $$target in $$subdir"; \
743 if test "$$subdir" = "."; then \
744 local_target="$$target-am"; \
745 else \
746 local_target="$$target"; \
747 fi; \
748 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
749 || eval $$failcom; \
750 done && test -z "$$fail"
751 tags-recursive:
752 list='$(SUBDIRS)'; for subdir in $$list; do \
753 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
754 done
755 ctags-recursive:
756 list='$(SUBDIRS)'; for subdir in $$list; do \
757 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
758 done
760 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
761 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
762 unique=`for i in $$list; do \
763 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
764 done | \
765 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
766 END { if (nonempty) { for (i in files) print i; }; }'`; \
767 mkid -fID $$unique
768 tags: TAGS
770 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
771 $(TAGS_FILES) $(LISP)
772 set x; \
773 here=`pwd`; \
774 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
775 include_option=--etags-include; \
776 empty_fix=.; \
777 else \
778 include_option=--include; \
779 empty_fix=; \
780 fi; \
781 list='$(SUBDIRS)'; for subdir in $$list; do \
782 if test "$$subdir" = .; then :; else \
783 test ! -f $$subdir/TAGS || \
784 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
785 fi; \
786 done; \
787 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
788 unique=`for i in $$list; do \
789 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
790 done | \
791 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
792 END { if (nonempty) { for (i in files) print i; }; }'`; \
793 shift; \
794 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
795 test -n "$$unique" || unique=$$empty_fix; \
796 if test $$# -gt 0; then \
797 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
798 "$$@" $$unique; \
799 else \
800 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
801 $$unique; \
802 fi; \
804 ctags: CTAGS
805 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
806 $(TAGS_FILES) $(LISP)
807 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
808 unique=`for i in $$list; do \
809 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
810 done | \
811 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
812 END { if (nonempty) { for (i in files) print i; }; }'`; \
813 test -z "$(CTAGS_ARGS)$$unique" \
814 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
815 $$unique
817 GTAGS:
818 here=`$(am__cd) $(top_builddir) && pwd` \
819 && $(am__cd) $(top_srcdir) \
820 && gtags -i $(GTAGS_ARGS) "$$here"
822 distclean-tags:
823 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
824 check-am: all-am
825 check: check-recursive
826 all-am: Makefile $(INFO_DEPS) $(LTLIBRARIES) all-multi $(HEADERS) \
827 config.h all-local
828 installdirs: installdirs-recursive
829 installdirs-am:
830 for dir in "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(toolexeclibdir)"; do \
831 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
832 done
833 install: install-recursive
834 install-exec: install-exec-recursive
835 install-data: install-data-recursive
836 uninstall: uninstall-recursive
838 install-am: all-am
839 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
841 installcheck: installcheck-recursive
842 install-strip:
843 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
844 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
845 `test -z '$(STRIP)' || \
846 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
847 mostlyclean-generic:
849 clean-generic:
850 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
852 distclean-generic:
853 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
854 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
856 maintainer-clean-generic:
857 @echo "This command is intended for maintainers to use"
858 @echo "it deletes files that may require special tools to rebuild."
859 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
860 clean: clean-multi clean-recursive
862 clean-am: clean-aminfo clean-generic clean-libtool \
863 clean-toolexeclibLTLIBRARIES mostlyclean-am
865 distclean: distclean-multi distclean-recursive
866 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
867 -rm -rf ./$(DEPDIR)
868 -rm -f Makefile
869 distclean-am: clean-am distclean-compile distclean-generic \
870 distclean-hdr distclean-libtool distclean-tags
872 dvi: dvi-recursive
874 dvi-am: $(DVIS)
876 html: html-recursive
878 html-am: $(HTMLS)
880 info: info-recursive
882 info-am: $(INFO_DEPS)
884 install-data-am: install-info-am
886 install-dvi: install-dvi-recursive
888 install-dvi-am: $(DVIS)
889 @$(NORMAL_INSTALL)
890 test -z "$(dvidir)" || $(MKDIR_P) "$(DESTDIR)$(dvidir)"
891 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
892 for p in $$list; do \
893 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
894 echo "$$d$$p"; \
895 done | $(am__base_list) | \
896 while read files; do \
897 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
898 $(INSTALL_DATA) $$files "$(DESTDIR)$(dvidir)" || exit $$?; \
899 done
900 install-exec-am: install-multi install-nodist_toolexeclibHEADERS \
901 install-toolexeclibLTLIBRARIES
903 install-html: install-html-recursive
905 install-html-am: $(HTMLS)
906 @$(NORMAL_INSTALL)
907 test -z "$(htmldir)" || $(MKDIR_P) "$(DESTDIR)$(htmldir)"
908 @list='$(HTMLS)'; list2=; test -n "$(htmldir)" || list=; \
909 for p in $$list; do \
910 if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \
911 $(am__strip_dir) \
912 if test -d "$$d$$p"; then \
913 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
914 $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
915 echo " $(INSTALL_DATA) '$$d$$p'/* '$(DESTDIR)$(htmldir)/$$f'"; \
916 $(INSTALL_DATA) "$$d$$p"/* "$(DESTDIR)$(htmldir)/$$f" || exit $$?; \
917 else \
918 list2="$$list2 $$d$$p"; \
919 fi; \
920 done; \
921 test -z "$$list2" || { echo "$$list2" | $(am__base_list) | \
922 while read files; do \
923 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
924 $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
925 done; }
926 install-info: install-info-recursive
928 install-info-am: $(INFO_DEPS)
929 @$(NORMAL_INSTALL)
930 test -z "$(infodir)" || $(MKDIR_P) "$(DESTDIR)$(infodir)"
931 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
932 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
933 for file in $$list; do \
934 case $$file in \
935 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
936 esac; \
937 if test -f $$file; then d=.; else d=$(srcdir); fi; \
938 file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
939 for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
940 $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
941 if test -f $$ifile; then \
942 echo "$$ifile"; \
943 else : ; fi; \
944 done; \
945 done | $(am__base_list) | \
946 while read files; do \
947 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
948 $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
949 @$(POST_INSTALL)
950 @if (install-info --version && \
951 install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
952 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
953 for file in $$list; do \
954 relfile=`echo "$$file" | sed 's|^.*/||'`; \
955 echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
956 install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
957 done; \
958 else : ; fi
959 install-man:
961 install-pdf: install-pdf-recursive
963 install-pdf-am: $(PDFS)
964 @$(NORMAL_INSTALL)
965 test -z "$(pdfdir)" || $(MKDIR_P) "$(DESTDIR)$(pdfdir)"
966 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
967 for p in $$list; do \
968 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
969 echo "$$d$$p"; \
970 done | $(am__base_list) | \
971 while read files; do \
972 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
973 $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; done
974 install-ps: install-ps-recursive
976 install-ps-am: $(PSS)
977 @$(NORMAL_INSTALL)
978 test -z "$(psdir)" || $(MKDIR_P) "$(DESTDIR)$(psdir)"
979 @list='$(PSS)'; test -n "$(psdir)" || list=; \
980 for p in $$list; do \
981 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
982 echo "$$d$$p"; \
983 done | $(am__base_list) | \
984 while read files; do \
985 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
986 $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; done
987 installcheck-am:
989 maintainer-clean: maintainer-clean-multi maintainer-clean-recursive
990 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
991 -rm -rf $(top_srcdir)/autom4te.cache
992 -rm -rf ./$(DEPDIR)
993 -rm -f Makefile
994 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
995 maintainer-clean-generic
997 mostlyclean: mostlyclean-multi mostlyclean-recursive
999 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
1000 mostlyclean-generic mostlyclean-libtool
1002 pdf: pdf-recursive
1004 pdf-am: $(PDFS)
1006 ps: ps-recursive
1008 ps-am: $(PSS)
1010 uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
1011 uninstall-nodist_toolexeclibHEADERS uninstall-pdf-am \
1012 uninstall-ps-am uninstall-toolexeclibLTLIBRARIES
1014 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all all-multi \
1015 clean-multi ctags-recursive distclean-multi install-am \
1016 install-multi install-strip maintainer-clean-multi \
1017 mostlyclean-multi tags-recursive
1019 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1020 all all-am all-local all-multi am--refresh check check-am \
1021 clean clean-aminfo clean-generic clean-libtool clean-multi \
1022 clean-toolexeclibLTLIBRARIES ctags ctags-recursive dist-info \
1023 distclean distclean-compile distclean-generic distclean-hdr \
1024 distclean-libtool distclean-multi distclean-tags dvi dvi-am \
1025 html html-am info info-am install install-am install-data \
1026 install-data-am install-dvi install-dvi-am install-exec \
1027 install-exec-am install-html install-html-am install-info \
1028 install-info-am install-man install-multi \
1029 install-nodist_toolexeclibHEADERS install-pdf install-pdf-am \
1030 install-ps install-ps-am install-strip \
1031 install-toolexeclibLTLIBRARIES installcheck installcheck-am \
1032 installdirs installdirs-am maintainer-clean \
1033 maintainer-clean-aminfo maintainer-clean-generic \
1034 maintainer-clean-multi mostlyclean mostlyclean-aminfo \
1035 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1036 mostlyclean-multi pdf pdf-am ps ps-am tags tags-recursive \
1037 uninstall uninstall-am uninstall-dvi-am uninstall-html-am \
1038 uninstall-info-am uninstall-nodist_toolexeclibHEADERS \
1039 uninstall-pdf-am uninstall-ps-am \
1040 uninstall-toolexeclibLTLIBRARIES
1043 vpath % $(strip $(search_path))
1044 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm.map-sun : $(top_srcdir)/libitm.map \
1045 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(top_srcdir)/../contrib/make_sunver.pl \
1046 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(libitm_la_OBJECTS) $(libitm_la_LIBADD)
1047 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ perl $(top_srcdir)/../contrib/make_sunver.pl \
1048 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(top_srcdir)/libitm.map \
1049 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(libitm_la_OBJECTS:%.lo=.libs/%.o) \
1050 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ `echo $(libitm_la_LIBADD) | \
1051 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ sed 's,/\([^/.]*\)\.la,/.libs/\1.a,g'` \
1052 @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ > $@ || (rm -f $@ ; exit 1)
1053 # Make sure -msse is appended at the end.
1054 @ARCH_X86_TRUE@x86_sse.lo : override CXXFLAGS += -msse
1055 # Make sure -mavx is appended at the end.
1056 @ARCH_X86_AVX_TRUE@x86_avx.lo : override CXXFLAGS += -mavx
1058 all-local: $(STAMP_GENINSRC)
1060 stamp-geninsrc: libitm.info
1061 cp -p $(top_builddir)/libitm.info $(srcdir)/libitm.info
1062 @touch $@
1064 libitm.info: $(STAMP_BUILD_INFO)
1066 stamp-build-info: libitm.texi
1067 $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) -o libitm.info $(srcdir)/libitm.texi
1068 @touch $@
1070 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1071 # Otherwise a system limit (for SysV at least) may be exceeded.
1072 .NOEXPORT: